## com.bbn.openmap.util.propertyEditor
Class FUPropertyEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.bbn.openmap.util.propertyEditor.FilePropertyEditor
                  |
                  +--com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
                        |
                        +--com.bbn.openmap.util.propertyEditor.FDUPropertyEditor
                              |
                              +--com.bbn.openmap.util.propertyEditor.FUPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor

public class FUPropertyEditor
extends FDUPropertyEditor

FUPropertyEditor - File and URL PropertyEditor. This is a PropertyEditor that provides a text field where a URL or file path can be entered. There is also a button that brings up a file chooser, and anything chosen *replaces* the contents in the text field.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`pathSeparator, textField`

Fields inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`button`

Constructor Summary
`FUPropertyEditor()` Create MultiDirectoryPropertyEditor.

Method Summary
`javax.swing.JFileChooser` `getFileChooser()` Returns a JFileChooser that will choose a directory.

Methods inherited from class com.bbn.openmap.util.propertyEditor.FDUPropertyEditor
`actionPerformed`

Methods inherited from class com.bbn.openmap.util.propertyEditor.MultiDirectoryPropertyEditor
`append, getAsText, getCustomEditor, getPathSeparator, setPathSeparator, setValue`

Methods inherited from class com.bbn.openmap.util.propertyEditor.FilePropertyEditor
`cleanUpName, getLastLocation, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FUPropertyEditor

    public FUPropertyEditor()

  Create MultiDirectoryPropertyEditor.

Method Detail

### getFileChooser

    public javax.swing.JFileChooser getFileChooser()

  Returns a JFileChooser that will choose a directory. The MultiSelectionEnabled doesn't work yet, so we have to have a workaround.

  Overrides:
    `getFileChooser` in class `FDUPropertyEditor`
  Returns:
    JFileChooser

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details